メインコンテンツへスキップ
GET
/
2
/
tweets
/
search
/
stream
/
rules
/
counts
ストリームルールの数を取得
curl --request GET \
  --url https://api.x.com/2/tweets/search/stream/rules/counts \
  --header 'Authorization: Bearer <token>'
{
  "data": {
    "all_project_client_apps": [
      {
        "client_app_id": "<string>",
        "rule_count": 123
      }
    ],
    "cap_per_client_app": 123,
    "cap_per_project": 123,
    "client_app_rules_count": {
      "client_app_id": "<string>",
      "rule_count": 123
    },
    "project_rules_count": 123
  },
  "errors": [
    {
      "title": "<string>",
      "type": "<string>",
      "detail": "<string>",
      "status": 123
    }
  ]
}

承認

Authorization
string
header
必須

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

クエリパラメータ

rules_count.fields
enum<string>[]

レスポンスに含める RulesCount フィールドのカンマ区切りのリスト。 RulesCount オブジェクトで利用可能なフィールド。

Minimum array length: 1
利用可能なオプション:
all_project_client_apps,
cap_per_client_app,
cap_per_project,
client_app_rules_count,
project_rules_count
:
[
"all_project_client_apps",
"cap_per_client_app",
"cap_per_project",
"client_app_rules_count",
"project_rules_count"
]

レスポンス

リクエストは成功しました。

data
object

アプリケーションレベルおよびプロジェクトレベルでの、ユーザー定義ストリームフィルタリングルールの総数。

errors
object[]
Minimum array length: 1

IETF RFC 7807 (https://tools.ietf.org/html/rfc7807) で定義された HTTP Problem Details オブジェクト。